#ifndef __Singleton_H__
#define __Singleton_H__

template<typename T> class Singleton
{
	public:
		inline static T& getInstance()
		{
			static T theSingleInstance;
			return theSingleInstance;
		}
};


#endif