#ifndef __MAINMENU__
#define __MAINMENU__

#include "Menu.h"

enum
{
	MAINMENU_CONTINUE,
	MAINMENU_PLAY,
	MAINMENU_OPTIONS,
	MAINMENU_ABOUT,
	MAINMENU_EXIT
};

/**
 * Menu
 *
 * BAUDOUX Jrme - TIXIER Benot
 */
class MainMenu : public Menu
{
	protected:


	public:
		MainMenu();
		~MainMenu();

	protected:
};

/**
 * Constructor
 */
MainMenu::MainMenu() : Menu()
{
	nbElements = 4;

	elements = new std::string[nbElements];

	elements[0] = "Play";
	elements[1] = "Options";
	elements[2] = "About";
	elements[3] = "Exit";

	name		= "MainMenu";
}

/**
 * Destructor
 */
MainMenu::~MainMenu()
{

}


#endif
